TAU_REPORT_THREAD_ST(3)

NAME
TAU_REPORT_THREAD_STATISTICS - Outputs statistics, plus thread statistics

SYNOPSIS

C/C++:

TAU_REPORT_THREAD_STATISTICS(void);

Fortran:

TAU_REPORT_THREAD_STATISTICS(void);

DESCRIPTION

TAU_REPORT_THREAD_STATISTICS prints the aggregate, as well as per thread user event statistics. Typically, this should be called just before the main thread exits.

EXAMPLE

C/C++ :

TAU_REPORT_THREAD_STATISTICS();

Fortran :

call TAU_REPORT_THREAD_STATISTICS()

SEE ALSO

TAU_REGISTER_EVENT(3), TAU_REGISTER_CONTEXT_EVENT(3), TAU_REPORT_STATISTICS(3)